Open CASCADE Technology: BRepPrim_Sphere Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepPrim_Sphere Class Reference

Implements the sphere primitive. More...

`#include <BRepPrim_Sphere.hxx>`

Inheritance diagram for BRepPrim_Sphere:
[legend]

## Public Member Functions
| BRepPrim_Sphere (const Standard_Real Radius)
| Creates a Sphere at origin with Radius. The axes of the sphere are the reference axes. An error is raised if the radius is < Resolution. More...
| BRepPrim_Sphere (const gp_Pnt &Center, const Standard_Real Radius)
| Creates a Sphere with Center and Radius. Axes are the referrence axes. This is the STEP constructor. More...
| BRepPrim_Sphere (const gp_Ax2 &Axes, const Standard_Real Radius)
| Creates a sphere with given axes system. More...
virtual TopoDS_Face | MakeEmptyLateralFace () const
| The surface normal should be directed towards the outside. More...
Public Member Functions inherited from BRepPrim_Revolution
| BRepPrim_Revolution (const gp_Ax2 &A, const Standard_Real VMin, const Standard_Real VMax, const Handle< Geom_Curve > &M, const Handle< Geom2d_Curve > &PM)
| Create a revolution body <M> is the meridian nd must be in the XZ plane of . <PM> is the meridian in the XZ plane. More...
virtual TopoDS_Edge | MakeEmptyMeridianEdge (const Standard_Real Ang) const
| Returns an edge with a 3D curve made from the meridian in the XZ plane rotated by <Ang> around the Z-axis. Ang may be 0 or myAngle. More...
virtual gp_Pnt2d | MeridianValue (const Standard_Real V) const
| Returns the meridian point at parameter <V> in the plane XZ. More...
virtual void | SetMeridianPCurve (TopoDS_Edge &E, const TopoDS_Face &F) const
| Sets the parametric urve of the edge <E> in the face <F> to be the 2d representation of the meridian. More...
Public Member Functions inherited from BRepPrim_OneAxis
virtual void | Delete ()
| ~BRepPrim_OneAxis ()
void | SetMeridianOffset (const Standard_Real MeridianOffset=0)
| The MeridianOffset is added to the parameters on the meridian curve and to the V values of the pcurves. This is used for the sphere for example, to give a range on the meridian edge which is not VMin, VMax. More...
const gp_Ax2 & | Axes () const
| Returns the Ax2 from <me>. More...
void | Axes (const gp_Ax2 &A)
Standard_Real | Angle () const
void | Angle (const Standard_Real A)
Standard_Real | VMin () const
void | VMin (const Standard_Real V)
Standard_Real | VMax () const
void | VMax (const Standard_Real V)
virtual Standard_Boolean | MeridianOnAxis (const Standard_Real V) const
| Returns True if the point of parameter <V> on the meridian is on the Axis. Default implementation is Abs(MeridianValue(V).X()) < Precision::Confusion() More...
virtual Standard_Boolean | MeridianClosed () const
| Returns True if the meridian is closed. Default implementation is MeridianValue(VMin).IsEqual(MeridianValue(VMax), Precision::Confusion()) More...
virtual Standard_Boolean | VMaxInfinite () const
| Returns True if VMax is infinite. Default Precision::IsPositiveInfinite(VMax);. More...
virtual Standard_Boolean | VMinInfinite () const
| Returns True if VMin is infinite. Default Precision::IsNegativeInfinite(VMax);. More...
virtual Standard_Boolean | HasTop () const
| Returns True if there is a top face. More...
virtual Standard_Boolean | HasBottom () const
| Returns True if there is a bottom face. More...
virtual Standard_Boolean | HasSides () const
| Returns True if there are Start and End faces. More...
const TopoDS_Shell & | Shell ()
| Returns the Shell containing all the Faces of the primitive. More...
const TopoDS_Face & | LateralFace ()
| Returns the lateral Face. It is oriented toward the outside of the primitive. More...
const TopoDS_Face & | TopFace ()
| Returns the top planar Face. It is Oriented toward the +Z axis (outside). More...
const TopoDS_Face & | BottomFace ()
| Returns the Bottom planar Face. It is Oriented toward the -Z axis (outside). More...
const TopoDS_Face & | StartFace ()
| Returns the Face starting the slice, it is oriented toward the exterior of the primitive. More...
const TopoDS_Face & | EndFace ()
| Returns the Face ending the slice, it is oriented toward the exterior of the primitive. More...
const TopoDS_Wire & | LateralWire ()
| Returns the wire in the lateral face. More...
const TopoDS_Wire & | LateralStartWire ()
| Returns the wire in the lateral face with the start edge. More...
const TopoDS_Wire & | LateralEndWire ()
| Returns the wire with in lateral face with the end edge. More...
const TopoDS_Wire & | TopWire ()
| Returns the wire in the top face. More...
const TopoDS_Wire & | BottomWire ()
| Returns the wire in the bottom face. More...
const TopoDS_Wire & | StartWire ()
| Returns the wire in the start face. More...
const TopoDS_Wire & | AxisStartWire ()
| Returns the wire in the start face with the AxisEdge. More...
const TopoDS_Wire & | EndWire ()
| Returns the Wire in the end face. More...
const TopoDS_Wire & | AxisEndWire ()
| Returns the Wire in the end face with the AxisEdge. More...
const TopoDS_Edge & | AxisEdge ()
| Returns the Edge built along the Axis and oriented on +Z of the Axis. More...
const TopoDS_Edge & | StartEdge ()
| Returns the Edge at angle 0. More...
const TopoDS_Edge & | EndEdge ()
| Returns the Edge at angle Angle. If !HasSides() the StartEdge and the EndEdge are the same edge. More...
const TopoDS_Edge & | StartTopEdge ()
| Returns the linear Edge between start Face and top Face. More...
const TopoDS_Edge & | StartBottomEdge ()
| Returns the linear Edge between start Face and bottom Face. More...
const TopoDS_Edge & | EndTopEdge ()
| Returns the linear Edge between end Face and top Face. More...
const TopoDS_Edge & | EndBottomEdge ()
| Returns the linear Edge between end Face and bottom Face. More...
const TopoDS_Edge & | TopEdge ()
| Returns the edge at VMax. If MeridianClosed() the TopEdge and the BottomEdge are the same edge. More...
const TopoDS_Edge & | BottomEdge ()
| Returns the edge at VMin. If MeridianClosed() the TopEdge and the BottomEdge are the same edge. More...
const TopoDS_Vertex & | AxisTopVertex ()
| Returns the Vertex at the Top altitude on the axis. More...
const TopoDS_Vertex & | AxisBottomVertex ()
| Returns the Vertex at the Bottom altitude on the axis. More...
const TopoDS_Vertex & | TopStartVertex ()
| Returns the vertex (0,VMax) More...
const TopoDS_Vertex & | TopEndVertex ()
| Returns the vertex (angle,VMax) More...
const TopoDS_Vertex & | BottomStartVertex ()
| Returns the vertex (0,VMin) More...
const TopoDS_Vertex & | BottomEndVertex ()
| Returns the vertex (angle,VMax) More...

## Additional Inherited Members
Protected Member Functions inherited from BRepPrim_Revolution
| BRepPrim_Revolution (const gp_Ax2 &A, const Standard_Real VMin, const Standard_Real VMax)
| Create a revolution body. The meridian is set later. Reserved for derivated classes. More...
void | Meridian (const Handle< Geom_Curve > &M, const Handle< Geom2d_Curve > &PM)
Protected Member Functions inherited from BRepPrim_OneAxis
| BRepPrim_OneAxis (const BRepPrim_Builder &B, const gp_Ax2 &A, const Standard_Real VMin, const Standard_Real VMax)
| Creates a OneAxis algorithm. is used to build the Topology. The angle defaults to 2*PI. More...
Protected Attributes inherited from BRepPrim_OneAxis
BRepPrim_Builder | myBuilder

## Detailed Description

Implements the sphere primitive.

## Constructor & Destructor Documentation

BRepPrim_Sphere::BRepPrim_Sphere | ( | const Standard_Real | Radius | ) |

Creates a Sphere at origin with Radius. The axes of the sphere are the reference axes. An error is raised if the radius is < Resolution.

BRepPrim_Sphere::BRepPrim_Sphere | ( | const gp_Pnt & | Center,
|  | const Standard_Real | Radius
| ) |  |

Creates a Sphere with Center and Radius. Axes are the referrence axes. This is the STEP constructor.

BRepPrim_Sphere::BRepPrim_Sphere | ( | const gp_Ax2 & | Axes,
|  | const Standard_Real | Radius
| ) |  |

Creates a sphere with given axes system.

## Member Function Documentation

virtual TopoDS_Face BRepPrim_Sphere::MakeEmptyLateralFace | ( |  | ) | const
| virtual

The surface normal should be directed towards the outside.

Reimplemented from BRepPrim_Revolution.

The documentation for this class was generated from the following file:

- BRepPrim_Sphere.hxx